using System;
using System.Collections.Generic;
using System.Text;

namespace AKSYSTech.Device.Adapters.Interface
{
	public enum Axis
	{
		X = 0,
		Y = 1,
		Z = 2,
        A = 3
	}

	public enum JogDirection
	{
		Off,
		Forwards,
		Backwards
	}

	public enum DeviceState
	{
		Loading,
		Loaded,
		Closing,
		Closed
	}

	public enum AutoState
	{
		Ready,
		Running,
		Paused,
		Stopped,
        Manual
	}

    public enum GCodeState
    {
        Loaded,
        Running,
        Aborted,
        Completed
    }

    public enum RateDirection
    {
        None,
        Up,
        Down
    }

    public enum RateName
    {
        Feed,
        Rapid,
        Spindle
    }

    public enum SwitchPosition
    {
        Off,
        One,
        Two
    }

    public enum SwitchName
    {
        Spindle,
        Coolant
    }
}
